Module org.jfree.chart3d
Package org.jfree.chart3d.graphics3d

# Class Dot3D

java.lang.Object
org.jfree.chart3d.graphics3d.Object3D
org.jfree.chart3d.graphics3d.Dot3D

public class Dot3D extends Object3D
A 3D object that is simply a dot (single vertex).

## Field Summary

### Fields inherited from class org.jfree.chart3d.graphics3d.Object3D

`CLASS_KEY, COLOR_PREFIX, ITEM_KEY`

## Constructor Summary

Constructors
Constructor
Description
`Dot3D(float x, float y, float z, Color color)`
Creates a new `Dot3D` instance.

## Method Summary

### Methods inherited from class org.jfree.chart3d.graphics3d.Object3D

`addDoubleSidedFace, addFace, addFace, addFace, addVertex, addVertex, calculateEyeCoordinates, calculateProjectedPoints, createBar, createBox, createCube, createLabelObject, createOctahedron, createPieLabelMarkers, createPieSegment, createSphere, createTetrahedron, createYSheet, createZSheet, getColor, getColor, getFaceCount, getFaces, getOutline, getOutline, getProperty, getVertexCount, setOutline, setProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Dot3D

public Dot3D(float x, float y, float z, Color color)
Creates a new `Dot3D` instance.

Parameters:
  `x` - the x-coordinate.
  `y` - the y-coordinate.
  `z` - the z-coordinate.
  `color` - the color (`null` not permitted).